<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Liste des Projection</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>

<body>
<div th:insert="fragments/navbar :: navbar"></div>

<div class="container my-2">
    <div class="card">
        <div class="card-body">
            <div th:switch="${projectionList}" class="container my-5">
                <p class="my-5">
                    <a href="/projection/add" class="btn btn-primary">
                        <i class="fas fa-user-plus ml-2">Ajouter projection </i></a>
                </p>
                <div class="col-md-10">
                    <h2 th:case="null">No record found !!</h2>
                    <div th:case="*">
                        <table class="table table-striped table-responsive-md">
                            <thead>
                            <tr>
                                <th>start time</th>
                                <th>film title</th>
                                <th>room number</th>
                                <th>edit</th>
                                <th>delete</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="projection : ${projectionList}">
                                <td th:text="${projection.startTime}"></td>
                                <td th:text="${projection.film.title}"></td>
                                <td th:text="${projection.room.roomNumber}"></td>
                                <td>
                                    <a th:href="@{/projection/edit/{id}(id=${projection.id})}"
                                       class="btn btn-primary">
                                        <i class="fas fa-user-edit ml-2"></i>
                                    </a>
                                </td>
                                <td>
                                    <a th:href="@{/projection/delete/{id}(id=${projection.id})}"
                                       class="btn btn-primary">
                                        <i class="fas fa-user-times ml-2"></i>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
</body>

</html>